## akonadi-search 20.08.1

=== debian/changelog ===
akonadi-search (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:35 +0100

akonadi-search (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:18:56 +0100
