=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
-               libkf5akonadiserver-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
+               libkf5akonadiserver-dev (>= 4:20.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5mime-dev (>= 20.08.1~),
                libkf5runner-dev (>= 5.31.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
@@ -48,17 +48,17 @@
 Package: libkf5akonadisearch-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
-         libkf5akonadimime-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
+         libkf5akonadimime-dev (>= 4:20.08.1~),
          libkf5akonadisearchcore5 (= ${binary:Version}),
          libkf5akonadisearchdebug5 (= ${binary:Version}),
          libkf5akonadisearchpim5 (= ${binary:Version}),
          libkf5akonadisearchxapian5 (= ${binary:Version}),
-         libkf5akonadiserver-dev (>= 4:19.12.3~),
+         libkf5akonadiserver-dev (>= 4:20.08.1~),
          libkf5calendarcore-dev (>= 4:19.08.3~),
          libkf5contacts-dev (>= 4:19.08.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 19.12.3~),
+         libkf5mime-dev (>= 20.08.1~),
          libxapian-dev,
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
