=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.71.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:20.08.2~),
-               libkf5akonadimime-dev (>= 4:20.08.2~),
+               libkf5akonadi-dev (>= 4:20.08.3~),
+               libkf5akonadimime-dev (>= 4:20.08.3~),
                libkf5calendarcore-dev (>= 5:5.71.0~),
                libkf5config-dev (>= 5.71.0~),
                libkf5contacts-dev (>= 5:5.71.0~),
@@ -17,14 +17,14 @@
                libkf5i18n-dev (>= 5.71.0~),
                libkf5kcmutils-dev (>= 5.71.0~),
                libkf5kio-dev (>= 5.71.0~),
-               libkf5mime-dev (>= 20.08.2~),
+               libkf5mime-dev (>= 20.08.3~),
                libkf5runner-dev (>= 5.71.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.13.0~),
                xauth,
-               xvfb,
-Standards-Version: 4.5.0
+               xvfb
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/pim/akonadi-search
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
@@ -51,14 +51,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:20.08.2~),
-         libkf5akonadimime-dev (>= 4:20.08.2~),
+Depends: libkf5akonadi-dev (>= 4:20.08.3~),
+         libkf5akonadimime-dev (>= 4:20.08.3~),
          libkf5calendarcore-dev (>= 5:5.71.0~),
          libkf5contacts-dev (>= 5:5.71.0~),
-         libkf5mime-dev (>= 20.08.2~),
+         libkf5mime-dev (>= 20.08.3~),
          qtbase5-dev (>= 5.13.0~),
          ${misc:Depends},
-         ${so:Depends},
+         ${so:Depends}
 Description: Akonadi search library - development files
  Library used to search in the Akonadi PIM data server.
  .
@@ -78,9 +78,9 @@
 Multi-Arch: same
 Depends: libkf5akonadisearch-data (>= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: libkf5akonadisearch-bin,
-            libkf5akonadisearch-plugins (= ${binary:Version}),
+            libkf5akonadisearch-plugins (= ${binary:Version})
 Description: Akonadi search core library
  Internal library used to search in the Akonadi PIM data server.
  This package contains the core library.
@@ -100,7 +100,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libkf5akonadisearch-bin,
-            libkf5akonadisearch-plugins (= ${binary:Version}),
+            libkf5akonadisearch-plugins (= ${binary:Version})
 Description: Akonadi search library
  Library used to search in the Akonadi PIM data server.
 Provides: ${ABI:VirtualPackage}
